Summary:	DomainKey Library for email servers & clients
Summary(pl.UTF-8):	Biblioteka DomainKey dla serwerów i klientów poczty elektronicznej
Name:		libdomainkeys
Version:	0.69
Release:	4
License:	Yahoo! DomainKeys Public License Agreement v1.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/domainkeys/%{name}-%{version}.tar.gz
# Source0-md5:	15ec065c6f645a0b9fde3f1ff7681127
Patch0:		%{name}-libtool.patch
Patch1:		%{name}-segv.patch
Patch2:		%{name}-dknewkey.patch
Patch3:		openssl.patch
URL:		http://domainkeys.sourceforge.net/
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openssl-devel
Requires:	mktemp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DomainKey Library for email servers & clients.

%description -l pl.UTF-8
Biblioteka DomainKey dla serwerów i klientów poczty elektronicznej.

%package devel
Summary:	Header files for libdomainkeys library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdomainkeys
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for libdomainkeys library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdomainkeys.

%package static
Summary:	Static libdomainkeys library
Summary(pl.UTF-8):	Statyczna biblioteka libdomainkeys
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdomainkeys library.

%description static -l pl.UTF-8
Statyczna biblioteka libdomainkeys.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -DBIND_8_COMPAT" \
	LDFLAGS="%{rpmldflags}"
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

libtool --mode=install install libdomainkeys.la $RPM_BUILD_ROOT%{_libdir}
libtool --mode=install install dknewkey dktest $RPM_BUILD_ROOT%{_bindir}
cp -p dktrace.h domainkeys.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.html CHANGES
%attr(755,root,root) %{_bindir}/dknewkey
%attr(755,root,root) %{_bindir}/dktest
%attr(755,root,root) %{_libdir}/libdomainkeys.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdomainkeys.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdomainkeys.so
%{_libdir}/libdomainkeys.la
%{_includedir}/dktrace.h
%{_includedir}/domainkeys.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libdomainkeys.a
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdomainkeys.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 0cda7f0
- rebuild with openssl 3.0.0

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b35df2
- rel 3; fix openssl build

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d95079b
- release 2 (by relup.sh)

* Sun Nov 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 917cf19
- updated to 0.69
- updated libtool patch, drop unnecessary libstdc++ dependency

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 5d842ea
- release 7

* Thu May 20 2010 sparky <sparky@pld-linux.org> c056200
- BR: libstdc++-devel, libtool

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> afbf64a
- rel 6; fix libtool install

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 784fab3
- release 5

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8de7844
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4067481
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4338d47
- converted to UTF-8

* Sun Oct 01 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f55e938
- rebuild

* Tue Aug 08 2006 Adam Gołębiowski <adamg@pld-linux.org> df72e45
- release 2; rebuild against openssl-0.9.8b

* Thu Sep 29 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 14848c0
- up to 0.68

* Thu Sep 29 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f14ca7
- updated

* Sun Aug 21 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> f838046
- up to 0.67

* Sun Jun 26 2005 Jakub Bogusz <qboosh@pld-linux.org> e904477
- pl for base

* Sat Jun 25 2005 Elan Ruusamäe <glen@pld-linux.org> 79844be
- fix usage

* Sat Jun 25 2005 Elan Ruusamäe <glen@pld-linux.org> 27c6192
- fixed dknewkey script

* Sat Jun 25 2005 Elan Ruusamäe <glen@pld-linux.org> 3016b6d
- fix dknewkey script

